# Pantheon Decoupled Install Profile

Suggested install profile for decoupled Drupal sites. Can be used in combination with Pantheon's front end starter kits including:

[https://github.com/pantheon-systems/next-drupal-starter](https://github.com/pantheon-systems/next-drupal-starter)

- Installs the [Pantheon Decoupled module](https://www.drupal.org/project/pantheon_decoupled) which includes:
  - Dependencies for caching, preview, routing, webhooks and other decoupled features
  - Demo content
  - Example user and OAuth configuration for authenticated API requests
  - A 'Pantheon Front-End Sites configuration' page
- Uses the Gin Admin theme

## Installation

Require using composer:

`composer require drupal/pantheon_decoupled_profile`

And then enable the module using your preferred method.

## Alternatives

- The [Pantheon Decoupled module](https://www.drupal.org/project/pantheon_decoupled) can be installed directly if you would prefer to not use an install profile.
- Follow the steps in the [Configuring an Existing Drupal Project](https://decoupledkit.pantheon.io/docs/backend-starters/decoupled-drupal/configuring-an-existing-project) documentation to create equivalent configuration manually.

## Running the test suite locally
This profile comes with a suite of automated tests. To execute those, you can run the following command:
```bash
phpunit -c core --group pantheon_decoupled_profile
```
(The exact command varies on your setup and paths.)
